Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.container
Interface PortletContainer

All Known Subinterfaces:
  PortletContainerObject

All Known Implementing Classes:
  PortletContainerImpl

    public interface PortletContainer

Version:
  $Revision: 7226 $
Author:
  Julien Viet

Method Summary
`PortletInvocationResponse` | `dispatch(PortletInvocation invocation)` Invoke the portlet container.
`PortletContainerContext` | `getContext()` Returns the context of the portlet container.
`java.lang.String` | `getId()` Return the portlet container id, unique within the context of the parent application.
`PortletInfo` | `getInfo()` Returns the runtime meta data of the container.
`PortletApplication` | `getPortletApplication()` Returns the wired application.

Method Detail

### getId

    java.lang.String getId()

  Return the portlet container id, unique within the context of the parent application.

  Returns:
    the id

### getInfo

    PortletInfo getInfo()

  Returns the runtime meta data of the container.

  Returns:
    the info

### dispatch

    PortletInvocationResponse dispatch(PortletInvocation invocation)
                                       throws PortletInvokerException,
                                              org.jboss.portal.common.invocation.InvocationException

  Invoke the portlet container.

  Parameters:
    `invocation` - the portlet invocation
  Returns:
    the portlet invocation response
  Throws:
    `PortletInvokerException` - a portlet invoker exception
    `org.jboss.portal.common.invocation.InvocationException` - an invocation exception

### getPortletApplication

    PortletApplication getPortletApplication()

  Returns the wired application.

  Returns:
    the application

### getContext

    PortletContainerContext getContext()

  Returns the context of the portlet container.

  Returns:
    the context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.